# pool_allocator.h File Reference

Go to the source code of this file.

## Classes

- class __gnu_cxx::__pool_alloc< _Tp >
    Allocator using a memory pool with a single lock. More...
- class __gnu_cxx::__pool_alloc_base
    Base class for __pool_alloc. More...

## Namespaces

- namespace __gnu_cxx

## Functions

- template<typename _Tp > bool __gnu_cxx::operator!= (const __pool_alloc< _Tp > &, const __pool_alloc< _Tp > &)
- template<typename _Tp > bool __gnu_cxx::operator== (const __pool_alloc< _Tp > &, const __pool_alloc< _Tp > &)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file pool_allocator.h.